apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  name: {{ "%s-cephfs" | format(rook_cluster_name) | to_json }}
provisioner: {{ "%s.cephfs.csi.ceph.com" | format(rook_namespace) | to_json }}
parameters:
  clusterID: {{ rook_cluster_name | to_json }}
  fsName: {{ rook_ceph_fs_name | to_json }}
  pool: {{ "%s-data0" | format(rook_ceph_fs_name) | to_json }}
  provisionVolume: "true"

  # Root path of an existing CephFS volume
  # Required for provisionVolume: "false"
  # rootPath: /absolute/path

  # The secrets contain Ceph admin credentials.
  csi.storage.k8s.io/provisioner-secret-name: rook-csi-cephfs-provisioner
  csi.storage.k8s.io/provisioner-secret-namespace: rook-ceph
  csi.storage.k8s.io/controller-expand-secret-name: rook-csi-cephfs-provisioner
  csi.storage.k8s.io/controller-expand-secret-namespace: rook-ceph
  csi.storage.k8s.io/node-stage-secret-name: rook-csi-cephfs-node
  csi.storage.k8s.io/node-stage-secret-namespace: rook-ceph

  # (optional) The driver can use either ceph-fuse (fuse) or ceph kernel client (kernel)
  # If omitted, default volume mounter will be used - this is determined by probing for ceph-fuse
  # or by setting the default mounter explicitly via --volumemounter command-line argument.
  # mounter: kernel
reclaimPolicy: Delete
allowVolumeExpansion: true
#mountOptions:
  # uncomment the following line for debugging
  #- debug
